# MySQL

Linx enables you to connect to an existing database and perform various data operations. The MySQL Plugin provides direct connectivity to a MySQL database without requiring an ODBC driver.

To run a simple SQL query, add the **ExecuteSQL** function to your solution and use the [SQL Editor](/reference/plugins/database/shared-properties/sql-editor.md).

Functions available for use with MySQL databases:

* **BeginTransaction**:\
  Start a transaction to execute multiple database operations within the same transaction.
* **BulkImport**:\
  Efficiently copy large volumes of rows into a table.
* **ExecuteSQL**:\
  Execute an SQL query and return relevant data. The query can include any SQL commands supported by the database driver.

## Links

* [MySQL License](/reference/plugins/mysql/license.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/mysql.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
